package com.muyu.common.system.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.common.system.remote.factory.RemoteEntFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * 企业服务
 * @ClassName RemoteEntService
 * @PATH com.muyu.common.system.remote:类的路径
 * @author  MingWei.Zong(微醺)
 * @Date 2024/10/8 10:59
 */
@FeignClient(
        path = "/ent",
        contextId = "remoteEntService",
        value = ServiceNameConstants.SYSTEM_SERVICE,
        fallbackFactory = RemoteEntFallbackFactory.class
)
public interface RemoteEntService {
    /**
     * 根据ID获取企业信息
     * @param entId 企业ID
     * @return 响应结果
     */
    @GetMapping(value = "/getById/{entId}")
    Result<SysEnt> getById(@PathVariable(value = "entId") Long entId);
//    @GetMapping(value = "/{entId}")
//    Result<EntResp> getById(@PathVariable(value = "entId") Long entId);
}

