package com.muyu.common.system.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.CarManage;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.common.system.remote.factory.RemoteEntFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 预警服务
 * @ClassName RemoteWarnService
 * @PATH com.muyu.common.system.remote:类的路径
 * @author  MingWei.Zong(微醺)
 * @Date 2024/10/8 10:59
 */
@FeignClient(
        path = "/strategy",
        contextId = "remoteWarnService",
        value = ServiceNameConstants.ENTERPRISE_SERVICE,
        fallbackFactory = RemoteEntFallbackFactory.class
)
public interface RemoteWarnService {
    /**
     * 通过 carTypeId 查询车辆信息
     * @param carTypeId
     * @return
     */
    @PostMapping("carManageShowByCarTypeId")
    public Result<CarManage> carManageShowByCarTypeId(@RequestParam("carTypeId") Long carTypeId);
}

