package com.muyu.common.system.remote.factory;


import com.muyu.common.core.domain.Result;
import com.muyu.common.system.remote.RemoteEntService;
import lombok.RequiredArgsConstructor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 企业服务降级处理
 * @ClassName RemoteEntFallbackFactory
 * @PATH com.muyu.common.system.remote.factory:类的路径
 * @Date 2024/10/8 10:59
 * @author MingWei.Zong(微醺)
 */
@Component
public class RemoteEntFallbackFactory implements FallbackFactory<RemoteEntService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteEntFallbackFactory.class);
    @Override
    public RemoteEntService create(Throwable throwable) {
        log.error("企业服务调用失败:{}", throwable.getMessage());
        return new RemoteEntService() {
            @Override
            public Result getById(Long entId) {
                return  Result.error("查询企业失败:" + throwable.getMessage());
            }
        };
    }
}
