package com.muyu.enterprise.domain.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;


/**
 * 自定义报文模块表
 * @ClassName CarTemplateVO
 * @PATH com.muyu.enterprise.domain.vo:类的路径
 * @Date 2024/10/9 20:42
 * @author MingWei.Zong(微醺)
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CarTemplateVO {
    /**
     * 报文模版表
     */
    @TableId(value = "template_id",type = IdType.AUTO)
    private Long templateId;
    /**
     * 报文模版名称
     */
    private String templateName;
    /**
     * 报文模版描述
     */
    private String templateDescribe;
    /**
     * 备注
     */
    private String remark;


    /**
     * 报文表
     */
    private Long messageId;
    /**
     * 车辆报文类别
     */
    private String messageType;
    /**
     * 开始位下标
     */
    private Integer messageStartIndex;
    /**
     * 结束位下标
     */
    private Integer messageEndIndex;
    /**
     * 报文标签
     */
    private String messageLabel;


}
