package com.muyu.enterprise.domain.vo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.enterprise.domain.resp.ElectronicFenceResp;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.RequiredArgsConstructor;

import java.util.List;


/**
 * 自定义电子围栏表
 * @ClassName ElectronicFenceVO
 * @PATH com.muyu.enterprise.domain.vo:类的路径
 * @Date 2024/10/10 19:59
 * @author MingWei.Zong(微醺)
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ElectronicFenceVO {
    /**
     * 围栏组id
     */
    private Long groupId;
    /**
     * 围栏组优先级
     */
    private Integer priority;
    /**
     * 围栏组名称
     */
    private String groupName;
    /**
     * 围栏组类型
     */
    private String   groupType;

    /**
     * 启用状态
     */
    private String status;


    /**
     * 绑定的电子围栏
     */
    List<ElectronicFenceResp> electronicFenceRespList;


}
