package com.muyu.enterprise;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * 企业平台微服务启动类
 *
 * @author muyu
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class CloudEnterpriseApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudEnterpriseApplication.class, args);
    }

    //实现远程调用
    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

}


