package com.muyu.enterprise.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.yulichang.base.MPJBaseMapper;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.enterprise.domain.CarManage;
import com.muyu.enterprise.domain.dto.CarDTO;
import com.muyu.enterprise.domain.vo.CarVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 车辆管理--持久层
 * @ClassName CarManageMapper
 * @Description 车辆管理 Mapper 层
 * @author  MingWei.Zong(微醺)
 * @Date 2024/9/28 16:52
 */
@Mapper
public interface CarManageMapper extends MPJBaseMapper<CarManage> {
    /**
     * 通过车辆vin码查询模板id
     * @param carManageVin 请求对象
     * @return 返回结果
     */
    @Select("SELECT t.template_id FROM car_manage v LEFT JOIN car_type t ON v.car_type_id = t.car_type_id WHERE v.car_vin = #{carManageVin}")
    Long findByCarManageVin(String carManageVin);
}
