package com.muyu.enterprise.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.enterprise.domain.CarManage;
import com.muyu.enterprise.domain.dto.CarDTO;
import com.muyu.enterprise.domain.vo.CarVO;

import java.util.List;

/**
 * 车辆管理--业务层
 * @ClassName CarManageService
 * @Description 车辆管理 Service 层
 * @author  MingWei.Zong(微醺)
 * @Date 2024/9/28 16:52
 */
public interface CarManageService extends IService<CarManage> {
    /**
     * 车辆列表2
     * @param carDTO
     * @return
     */
    List<CarVO> carListShow2(CarDTO carDTO);

    /**
     * 车辆列表
     * @param carDTO
     * @return
     */
    List<CarVO> CarListShow(CarDTO carDTO);

    /**
     * 车辆添加
     * @param carVO
     * @return
     */
    void insertCar(CarManage carVO);
    /**
     * 通过车辆vin码查询模板id
     * @param carManageVin 请求对象
     * @return 返回结果
     */
    Long findByCarManageVin(String carManageVin);



    /**
     * 通过 carTypeId 查询车辆信息
     * @param carTypeId
     * @return
     */
    CarManage carManageShowByCarTypeId(Long carTypeId);

    /**
     * 通过id查询
     * @param carId
     * @return
     */
    CarManage carManageShowByCarId(Long carId);
}
