package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.enterprise.cache.CarTemplateCacheService;
import com.muyu.enterprise.domain.CarManage;
import com.muyu.enterprise.domain.CarTemplate;
import com.muyu.enterprise.domain.CarType;
import com.muyu.enterprise.mapper.CarManageMapper;
import com.muyu.enterprise.mapper.CarTemplateMapper;
import com.muyu.enterprise.service.CarManageService;
import com.muyu.enterprise.service.CarTemplateService;
import com.muyu.enterprise.service.CarTypeService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 报文模版--业务实现层
 * @ClassName CarTemplateServiceImpl
 * @Description 报文模版 ServiceImpl 层
 * @author  MingWei.Zong(微醺)
 * @Date 2024/9/28 16:52
 */
@Service
@Log4j2
public class CarTemplateServiceImpl extends ServiceImpl<CarTemplateMapper, CarTemplate> implements CarTemplateService {

    @Autowired
    private CarTemplateCacheService carTemplateCacheService;
    @Autowired
    private CarManageService carManageService;
    @Autowired
    private CarTypeService carTypeService;
    @Autowired
    private CarTemplateMapper sysCarTemplateMapper;
    /**
     * 查询所有报文信息
     * @return
     */
    @Override
    public List<CarTemplate> selectTemplateShow() {
        return list();
    }

    /**
     * 通过id查询报文信息
     * @param templateId
     * @return
     */
    @Override
    public CarTemplate selectTemplateByTemplateId(Long templateId) {
        // 通过id查询报文信息
        CarTemplate carTemplate = sysCarTemplateMapper.selectById(templateId);
        // 获取到车辆的 vin 用于存储 redis  1.通过报文模版id 获取车辆类型 id
        CarType carType = carTypeService.SelectCarTemplateByTemplateId(templateId);
        // 通过 车辆类型ID 获取 车辆信息
        CarManage carManage = carManageService.carManageShowByCarTypeId(carType.getCarTypeId());
        // 将报文信息存储到 redis
//        carTemplateCacheService.put(carManage.getCarVin(),carTemplate);
        return carTemplate;
    }
}
